### Struct

# WPEPlatform InputMethodUnderline

#### Description [src]

    struct WPEInputMethodUnderline {
      /* No available fields */
    }

Range of text in an preedit string to be shown underlined.

#### Constructors

###### wpe_input_method_underline_new

Create a new `WPEInputMethodUnderline` for the given range in preedit string.

#### Instance methods

###### wpe_input_method_underline_copy

Make a copy of the `WPEInputMethodUnderline`.

###### wpe_input_method_underline_free

Free the `WPEInputMethodUnderline`.

###### wpe_input_method_underline_get_color

No description available.

###### wpe_input_method_underline_get_end_offset

No description available.

###### wpe_input_method_underline_get_start_offset

No description available.

###### wpe_input_method_underline_set_color

Set the color of the underline. If `color` is `NULL` the foreground text color will be used for the underline too.